ct_keyinfo.h File Reference
`#include <gwenhywfar/types.h>`
`#include <gwenhywfar/list1.h>`
`#include <gwenhywfar/list2.h>`
`#include <gwenhywfar/inherit.h>`
`#include <gwenhywfar/db.h>`
`#include <gwenhywfar/xml.h>`
`#include <gwenhywfar/buffer.h>`
`#include <gwenhywfar/text.h>`
`#include <gwenhywfar/cryptalgo.h>`

Go to the source code of this file.

## Macros

#define | GWEN_CRYPT_TOKEN_KEYFLAGS_ACTIONMASK 0x0000000f
#define | GWEN_CRYPT_TOKEN_KEYFLAGS_CANDECIPHER 0x00000008
#define | GWEN_CRYPT_TOKEN_KEYFLAGS_CANENCIPHER 0x00000004
#define | GWEN_CRYPT_TOKEN_KEYFLAGS_CANSIGN 0x00000001
#define | GWEN_CRYPT_TOKEN_KEYFLAGS_CANVERIFY 0x00000002
#define | GWEN_CRYPT_TOKEN_KEYFLAGS_HASACTIONFLAGS 0x00080000
#define | GWEN_CRYPT_TOKEN_KEYFLAGS_HASCERTIFICATE 0x00800000
#define | GWEN_CRYPT_TOKEN_KEYFLAGS_HASEXPONENT 0x00040000
#define | GWEN_CRYPT_TOKEN_KEYFLAGS_HASKEYNUMBER 0x00400000
#define | GWEN_CRYPT_TOKEN_KEYFLAGS_HASKEYVERSION 0x00100000
#define | GWEN_CRYPT_TOKEN_KEYFLAGS_HASMODULUS 0x00020000
#define | GWEN_CRYPT_TOKEN_KEYFLAGS_HASSIGNCOUNTER 0x00200000
#define | GWEN_CRYPT_TOKEN_KEYFLAGS_HASSTATUS 0x00010000

## Typedefs

typedef struct GWEN_CRYPT_TOKEN_KEYINFO | GWEN_CRYPT_TOKEN_KEYINFO

## Enumerations

enum | GWEN_CRYPT_TOKEN_KEYSTATUS { GWEN_Crypt_Token_KeyStatusUnknown = -1 , GWEN_Crypt_Token_KeyStatusFree , GWEN_Crypt_Token_KeyStatusNew , GWEN_Crypt_Token_KeyStatusActive }

## Functions

GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_AddFlags (GWEN_CRYPT_TOKEN_KEYINFO *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_Attach (GWEN_CRYPT_TOKEN_KEYINFO *p_struct)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * | GWEN_Crypt_Token_KeyInfo_copy (GWEN_CRYPT_TOKEN_KEYINFO *p_struct, const GWEN_CRYPT_TOKEN_KEYINFO *p_src)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * | GWEN_Crypt_Token_KeyInfo_dup (const GWEN_CRYPT_TOKEN_KEYINFO *p_struct)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_free (GWEN_CRYPT_TOKEN_KEYINFO *p_struct)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * | GWEN_Crypt_Token_KeyInfo_fromDb (GWEN_DB_NODE *p_db)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * | GWEN_Crypt_Token_KeyInfo_fromXml (GWEN_XMLNODE *p_db)
GWENHYWFAR_API const uint8_t * | GWEN_Crypt_Token_KeyInfo_GetCertificateData (const GWEN_CRYPT_TOKEN_KEYINFO *st)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_KeyInfo_GetCertificateLen (const GWEN_CRYPT_TOKEN_KEYINFO *st)
GWENHYWFAR_API uint8_t | GWEN_Crypt_Token_KeyInfo_GetCertType (const GWEN_CRYPT_TOKEN_KEYINFO *p_struct)
GWENHYWFAR_API int | GWEN_Crypt_Token_KeyInfo_GetCryptAlgoId (const GWEN_CRYPT_TOKEN_KEYINFO *p_struct)
GWENHYWFAR_API const uint8_t * | GWEN_Crypt_Token_KeyInfo_GetExponentData (const GWEN_CRYPT_TOKEN_KEYINFO *st)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_KeyInfo_GetExponentLen (const GWEN_CRYPT_TOKEN_KEYINFO *st)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_KeyInfo_GetFlags (const GWEN_CRYPT_TOKEN_KEYINFO *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_KeyInfo_GetId (const GWEN_CRYPT_TOKEN_KEYINFO *p_struct)
GWENHYWFAR_API const char * | GWEN_Crypt_Token_KeyInfo_GetKeyDescr (const GWEN_CRYPT_TOKEN_KEYINFO *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_KeyInfo_GetKeyNumber (const GWEN_CRYPT_TOKEN_KEYINFO *p_struct)
GWENHYWFAR_API int | GWEN_Crypt_Token_KeyInfo_GetKeySize (const GWEN_CRYPT_TOKEN_KEYINFO *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_KeyInfo_GetKeyVersion (const GWEN_CRYPT_TOKEN_KEYINFO *p_struct)
GWENHYWFAR_API const uint8_t * | GWEN_Crypt_Token_KeyInfo_GetModulusData (const GWEN_CRYPT_TOKEN_KEYINFO *st)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_KeyInfo_GetModulusLen (const GWEN_CRYPT_TOKEN_KEYINFO *st)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_KeyInfo_GetSignCounter (const GWEN_CRYPT_TOKEN_KEYINFO *p_struct)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO_LIST * | GWEN_Crypt_Token_KeyInfo_List_dup (const GWEN_CRYPT_TOKEN_KEYINFO_LIST *p_src)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * | GWEN_Crypt_Token_KeyInfo_List_GetById (const GWEN_CRYPT_TOKEN_KEYINFO_LIST *p_list, uint32_t p_cmp)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * | GWEN_Crypt_Token_KeyInfo_new (uint32_t kid, GWEN_CRYPT_CRYPTALGOID a, int keySize)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_ReadDb (GWEN_CRYPT_TOKEN_KEYINFO *p_struct, GWEN_DB_NODE *p_db)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_ReadXml (GWEN_CRYPT_TOKEN_KEYINFO *p_struct, GWEN_XMLNODE *p_db)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_SetCertificate (GWEN_CRYPT_TOKEN_KEYINFO *st, const uint8_t *p, uint32_t len)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_SetCertType (GWEN_CRYPT_TOKEN_KEYINFO *p_struct, uint8_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_SetCryptAlgoId (GWEN_CRYPT_TOKEN_KEYINFO *p_struct, int p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_SetExponent (GWEN_CRYPT_TOKEN_KEYINFO *st, const uint8_t *p, uint32_t len)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_SetFlags (GWEN_CRYPT_TOKEN_KEYINFO *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_SetId (GWEN_CRYPT_TOKEN_KEYINFO *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_SetKeyDescr (GWEN_CRYPT_TOKEN_KEYINFO *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_SetKeyNumber (GWEN_CRYPT_TOKEN_KEYINFO *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_SetKeySize (GWEN_CRYPT_TOKEN_KEYINFO *p_struct, int p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_SetKeyVersion (GWEN_CRYPT_TOKEN_KEYINFO *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_SetModulus (GWEN_CRYPT_TOKEN_KEYINFO *st, const uint8_t *p, uint32_t len)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_SetSignCounter (GWEN_CRYPT_TOKEN_KEYINFO *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_SubFlags (GWEN_CRYPT_TOKEN_KEYINFO *p_struct, uint32_t p_src)
GWENHYWFAR_API int | GWEN_Crypt_Token_KeyInfo_toDb (const GWEN_CRYPT_TOKEN_KEYINFO *p_struct, GWEN_DB_NODE *p_db)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_toXml (const GWEN_CRYPT_TOKEN_KEYINFO *p_struct, GWEN_XMLNODE *p_db)
GWENHYWFAR_API int | GWEN_Crypt_Token_KeyInfo_WriteDb (const GWEN_CRYPT_TOKEN_KEYINFO *p_struct, GWEN_DB_NODE *p_db)
GWENHYWFAR_API void | GWEN_Crypt_Token_KeyInfo_WriteXml (const GWEN_CRYPT_TOKEN_KEYINFO *p_struct, GWEN_XMLNODE *p_db)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYSTATUS | GWEN_Crypt_Token_KeyStatus_fromString (const char *p_s)
GWENHYWFAR_API const char * | GWEN_Crypt_Token_KeyStatus_toString (GWEN_CRYPT_TOKEN_KEYSTATUS p_i)

## Macro Definition Documentation

## GWEN_CRYPT_TOKEN_KEYFLAGS_ACTIONMASK

#define GWEN_CRYPT_TOKEN_KEYFLAGS_ACTIONMASK 0x0000000f

Definition at line 107 of file ct_keyinfo.h.

## GWEN_CRYPT_TOKEN_KEYFLAGS_CANDECIPHER

#define GWEN_CRYPT_TOKEN_KEYFLAGS_CANDECIPHER 0x00000008

Definition at line 111 of file ct_keyinfo.h.

## GWEN_CRYPT_TOKEN_KEYFLAGS_CANENCIPHER

#define GWEN_CRYPT_TOKEN_KEYFLAGS_CANENCIPHER 0x00000004

Definition at line 110 of file ct_keyinfo.h.

## GWEN_CRYPT_TOKEN_KEYFLAGS_CANSIGN

#define GWEN_CRYPT_TOKEN_KEYFLAGS_CANSIGN 0x00000001

Definition at line 108 of file ct_keyinfo.h.

## GWEN_CRYPT_TOKEN_KEYFLAGS_CANVERIFY

#define GWEN_CRYPT_TOKEN_KEYFLAGS_CANVERIFY 0x00000002

Definition at line 109 of file ct_keyinfo.h.

## GWEN_CRYPT_TOKEN_KEYFLAGS_HASACTIONFLAGS

#define GWEN_CRYPT_TOKEN_KEYFLAGS_HASACTIONFLAGS 0x00080000

Definition at line 102 of file ct_keyinfo.h.

## GWEN_CRYPT_TOKEN_KEYFLAGS_HASCERTIFICATE

#define GWEN_CRYPT_TOKEN_KEYFLAGS_HASCERTIFICATE 0x00800000

Definition at line 106 of file ct_keyinfo.h.

## GWEN_CRYPT_TOKEN_KEYFLAGS_HASEXPONENT

#define GWEN_CRYPT_TOKEN_KEYFLAGS_HASEXPONENT 0x00040000

Definition at line 101 of file ct_keyinfo.h.

## GWEN_CRYPT_TOKEN_KEYFLAGS_HASKEYNUMBER

#define GWEN_CRYPT_TOKEN_KEYFLAGS_HASKEYNUMBER 0x00400000

Definition at line 105 of file ct_keyinfo.h.

## GWEN_CRYPT_TOKEN_KEYFLAGS_HASKEYVERSION

#define GWEN_CRYPT_TOKEN_KEYFLAGS_HASKEYVERSION 0x00100000

Definition at line 103 of file ct_keyinfo.h.

## GWEN_CRYPT_TOKEN_KEYFLAGS_HASMODULUS

#define GWEN_CRYPT_TOKEN_KEYFLAGS_HASMODULUS 0x00020000

Definition at line 100 of file ct_keyinfo.h.

## GWEN_CRYPT_TOKEN_KEYFLAGS_HASSIGNCOUNTER

#define GWEN_CRYPT_TOKEN_KEYFLAGS_HASSIGNCOUNTER 0x00200000

Definition at line 104 of file ct_keyinfo.h.

## GWEN_CRYPT_TOKEN_KEYFLAGS_HASSTATUS

#define GWEN_CRYPT_TOKEN_KEYFLAGS_HASSTATUS 0x00010000

Definition at line 99 of file ct_keyinfo.h.

## Typedef Documentation

## GWEN_CRYPT_TOKEN_KEYINFO

typedef struct GWEN_CRYPT_TOKEN_KEYINFO GWEN_CRYPT_TOKEN_KEYINFO

Definition at line 127 of file ct_keyinfo.h.

## Enumeration Type Documentation

## GWEN_CRYPT_TOKEN_KEYSTATUS

enum GWEN_CRYPT_TOKEN_KEYSTATUS

Enumerator
GWEN_Crypt_Token_KeyStatusUnknown |
GWEN_Crypt_Token_KeyStatusFree |
GWEN_Crypt_Token_KeyStatusNew |
GWEN_Crypt_Token_KeyStatusActive |

Definition at line 134 of file ct_keyinfo.h.

## Function Documentation

## GWEN_Crypt_Token_KeyInfo_AddFlags()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_AddFlags | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | uint32_t | p_src )

Add flags. Use this function to add flags to the member "flags"

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_Attach()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_Attach | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_copy()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * GWEN_Crypt_Token_KeyInfo_copy | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | const GWEN_CRYPT_TOKEN_KEYINFO * | p_src )

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_dup()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * GWEN_Crypt_Token_KeyInfo_dup | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | p_struct | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_free()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_free | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct | ) |

Destructor.

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_fromDb()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * GWEN_Crypt_Token_KeyInfo_fromDb | ( | GWEN_DB_NODE * | p_db | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_fromXml()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * GWEN_Crypt_Token_KeyInfo_fromXml | ( | GWEN_XMLNODE * | p_db | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetCertificateData()

GWENHYWFAR_API const uint8_t * GWEN_Crypt_Token_KeyInfo_GetCertificateData | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | st | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetCertificateLen()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_KeyInfo_GetCertificateLen | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | st | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetCertType()

GWENHYWFAR_API uint8_t GWEN_Crypt_Token_KeyInfo_GetCertType | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | p_struct | ) |

Getter. Use this function to get the member "certType" (see GWEN_CRYPT_TOKEN_KEYINFO_certType)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetCryptAlgoId()

GWENHYWFAR_API int GWEN_Crypt_Token_KeyInfo_GetCryptAlgoId | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | p_struct | ) |

Getter. Use this function to get the member "cryptAlgoId" (see GWEN_CRYPT_TOKEN_KEYINFO_cryptAlgoId)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetExponentData()

GWENHYWFAR_API const uint8_t * GWEN_Crypt_Token_KeyInfo_GetExponentData | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | st | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetExponentLen()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_KeyInfo_GetExponentLen | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | st | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetFlags()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_KeyInfo_GetFlags | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | p_struct | ) |

Getter. Use this function to get the member "flags" (see GWEN_CRYPT_TOKEN_KEYINFO_flags)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetId()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_KeyInfo_GetId | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | p_struct | ) |

Getter. Use this function to get the member "id" (see GWEN_CRYPT_TOKEN_KEYINFO_id)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetKeyDescr()

GWENHYWFAR_API const char * GWEN_Crypt_Token_KeyInfo_GetKeyDescr | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | p_struct | ) |

Getter. Use this function to get the member "keyDescr" (see GWEN_CRYPT_TOKEN_KEYINFO_keyDescr)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetKeyNumber()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_KeyInfo_GetKeyNumber | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | p_struct | ) |

Getter. Use this function to get the member "keyNumber" (see GWEN_CRYPT_TOKEN_KEYINFO_keyNumber)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetKeySize()

GWENHYWFAR_API int GWEN_Crypt_Token_KeyInfo_GetKeySize | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | p_struct | ) |

Getter. Use this function to get the member "keySize" (see GWEN_CRYPT_TOKEN_KEYINFO_keySize)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetKeyVersion()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_KeyInfo_GetKeyVersion | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | p_struct | ) |

Getter. Use this function to get the member "keyVersion" (see GWEN_CRYPT_TOKEN_KEYINFO_keyVersion)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetModulusData()

GWENHYWFAR_API const uint8_t * GWEN_Crypt_Token_KeyInfo_GetModulusData | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | st | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetModulusLen()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_KeyInfo_GetModulusLen | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | st | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_GetSignCounter()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_KeyInfo_GetSignCounter | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | p_struct | ) |

Getter. Use this function to get the member "signCounter" (see GWEN_CRYPT_TOKEN_KEYINFO_signCounter)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_List_dup()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO_LIST * GWEN_Crypt_Token_KeyInfo_List_dup | ( | const GWEN_CRYPT_TOKEN_KEYINFO_LIST * | p_src | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_List_GetById()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * GWEN_Crypt_Token_KeyInfo_List_GetById | ( | const GWEN_CRYPT_TOKEN_KEYINFO_LIST * | p_list,
|  | uint32_t | p_cmp )

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_new()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * GWEN_Crypt_Token_KeyInfo_new | ( | uint32_t | kid,
|  | GWEN_CRYPT_CRYPTALGOID | a,
|  | int | keySize )

References GWEN_CRYPT_CRYPTALGOID, and GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_ReadDb()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_ReadDb | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | GWEN_DB_NODE * | p_db )

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_ReadXml()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_ReadXml | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | GWEN_XMLNODE * | p_db )

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_SetCertificate()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_SetCertificate | ( | GWEN_CRYPT_TOKEN_KEYINFO * | st,
|  | const uint8_t * | p,
|  | uint32_t | len )

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_SetCertType()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_SetCertType | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | uint8_t | p_src )

Setter. Use this function to set the member "certType" (see GWEN_CRYPT_TOKEN_KEYINFO_certType)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_SetCryptAlgoId()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_SetCryptAlgoId | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | int | p_src )

Setter. Use this function to set the member "cryptAlgoId" (see GWEN_CRYPT_TOKEN_KEYINFO_cryptAlgoId)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_SetExponent()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_SetExponent | ( | GWEN_CRYPT_TOKEN_KEYINFO * | st,
|  | const uint8_t * | p,
|  | uint32_t | len )

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_SetFlags()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_SetFlags | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "flags" (see GWEN_CRYPT_TOKEN_KEYINFO_flags)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_SetId()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_SetId | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "id" (see GWEN_CRYPT_TOKEN_KEYINFO_id)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_SetKeyDescr()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_SetKeyDescr | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "keyDescr" (see GWEN_CRYPT_TOKEN_KEYINFO_keyDescr)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_SetKeyNumber()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_SetKeyNumber | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "keyNumber" (see GWEN_CRYPT_TOKEN_KEYINFO_keyNumber)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_SetKeySize()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_SetKeySize | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | int | p_src )

Setter. Use this function to set the member "keySize" (see GWEN_CRYPT_TOKEN_KEYINFO_keySize)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_SetKeyVersion()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_SetKeyVersion | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "keyVersion" (see GWEN_CRYPT_TOKEN_KEYINFO_keyVersion)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_SetModulus()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_SetModulus | ( | GWEN_CRYPT_TOKEN_KEYINFO * | st,
|  | const uint8_t * | p,
|  | uint32_t | len )

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_SetSignCounter()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_SetSignCounter | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "signCounter" (see GWEN_CRYPT_TOKEN_KEYINFO_signCounter)

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_SubFlags()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_SubFlags | ( | GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | uint32_t | p_src )

Sub flags. Use this function to sub flags from the member "flags"

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_toDb()

GWENHYWFAR_API int GWEN_Crypt_Token_KeyInfo_toDb | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | GWEN_DB_NODE * | p_db )

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_toXml()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_toXml | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | GWEN_XMLNODE * | p_db )

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_WriteDb()

GWENHYWFAR_API int GWEN_Crypt_Token_KeyInfo_WriteDb | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | GWEN_DB_NODE * | p_db )

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyInfo_WriteXml()

GWENHYWFAR_API void GWEN_Crypt_Token_KeyInfo_WriteXml | ( | const GWEN_CRYPT_TOKEN_KEYINFO * | p_struct,
|  | GWEN_XMLNODE * | p_db )

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyStatus_fromString()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYSTATUS GWEN_Crypt_Token_KeyStatus_fromString | ( | const char * | p_s | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Token_KeyStatus_toString()

GWENHYWFAR_API const char * GWEN_Crypt_Token_KeyStatus_toString | ( | GWEN_CRYPT_TOKEN_KEYSTATUS | p_i | ) |

References GWENHYWFAR_API.